RF-X 1.50.004 public beta feedback

Bellah1z

Member
Ryan where are you ? Will you ever finish the development of RFX? The hardware has caught up and it needs to be finished. Are you still with Knife-edge?
 

Day Tripper

New member
Borked by 1.50.004

[btw, couldn't find an open post-1.50.004 release thread that would let me post.]

Ok, went to "fly", got two sets of upgrade messages, the first was over in a minute, the next was the big mama. Seemed to get through the update fine, but 1.50.004 has totally borked my long-running RF-X installation.

Win7/64 on a 6 core/12 thread 3.2ghz Xenon with 12GB RAM, Radeon HD 5960 w/2GB GDDR5 ram, and installed on an 1TB sata6gb SSD.

Again, worked fine until this update.

Now, all kinds of weird behavior: in flight modes the entire sky and ambient lighting flicker rapidly and randomly; then if I pull up the menu to try switching off video functions the menu refuses to be dismissed and flickers with the background trying to be in the foreground and vice versa. Then in the workshop view the menu to select planes/venues/etc flickers with the background. Finally at least once trying to return to the main menu the entire RF-X just crashed out.

No bueno. Probably gonna have to whip out the DVD and start over unless there's a better idea.
 
Last edited:

technoid

Well-known member
How do you get in on RF X?
RF-X is a discontinued product but you can generally find it on ebay. But you need a strong system to run it so you might post your system specs so we can give you some info on it if needed. Personally I'd make sure you have an NVIDIA GTX1080 or more to sure you have enough graphics power to run it. And then there's been reports that the newest NVIDIA cards, the RTX30 series won't run it properly with some texture problems. So you need to make sure you can run it before buying it. Also what graphics resolution do you plan to run it at?
 

Bellah1z

Member
RF-X is a discontinued product but you can generally find it on ebay. But you need a strong system to run it so you might post your system specs so we can give you some info on it if needed. Personally I'd make sure you have an NVIDIA GTX1080 or more to sure you have enough graphics power to run it. And then there's been reports that the newest NVIDIA cards, the RTX30 series won't run it properly with some texture problems. So you need to make sure you can run it before buying it. Also what graphics resolution do you plan to run it at?
Very good advice.
 
Top